> For the complete documentation index, see [llms.txt](https://docs.idle.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.idle.finance/developers/best-yield/integrators.md).

# Get integrated as yield source

Developers > Best Yield > Get integrated as yield source

Currently, the Best Yield is integrated with Compound, and Aave as yield sources.&#x20;

If you want to promote a new integration, you can create an `IdleWrapper` that adhere to the following interface:

```javascript
interface ILendingProtocol {
  function mint() external returns (uint256);
  function redeem(address account) external returns (uint256);
  function nextSupplyRate(uint256 amount) external view returns (uint256);
  function getAPR() external view returns (uint256);
  function getPriceInToken() external view returns (uint256);
  function token() external view returns (address);
  function underlying() external view returns (address);
  function availableLiquidity() external view returns (uint256);
}
```

You can find the current wrappers for Compound as a reference on GitHub [here](https://github.com/Idle-Labs/idle-contracts/tree/develop/contracts/wrappers) (`IdleCompoundV2` is used for DAI only).

The `nextSupplyRate(uint256 amount)` is the rate that the protocol would have after a new deposit of underlying `amount` (e.g. if the current APR for DAI in Compound is 10% and then we deposit 100.000 DAI what would the next rate be?)

The Idle DAO implemented the [Integration Standard Requirements](/developers/security/integration-standard-requirements.md), guidelines to help the Idle community, builders, protocol founders, and Idle liquidity providers to perform adequate due diligence on the current and future yield generating integrations and infrastructures.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.idle.finance/developers/best-yield/integrators.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
